# Gimp.Gradient.prototype.segment_get_left_color

    function segment_get_left_color(segment: Number(gint)): Gegl.Color {
        // Gjs wrapper for gimp_gradient_segment_get_left_color()
    }

Gets the left endpoint color of the segment

Gets the left endpoint color of the indexed segment of the gradient. Returns an error when the segment index is out of range.

Since 2.2

segment

  The index of a segment within the gradient.

Returns

  The return color.